Subject: Re: [Mops] Draft minutes from 2020-Apr interim

From: "Leslie Daigle" <[email-masked]>
Date: Fri, 08 May 2020 12:18:45 -0400

Thanks for the minutes feedback, Spencer!

FYI for everyone — Kyle updated and posted the minutes on the data 
tracker site, so we are now complete for the virtual interim meeting.

Leslie.
P.S.:  Because you wanted to go look:  
https://datatracker.ietf.org/meeting/interim-2020-mops-01/session/mops

On 22 Apr 2020, at 10:45, Spencer Dawkins at IETF wrote:

> Hi, Kyle,
>
> On Wed, Apr 22, 2020 at 7:52 AM Kyle Rose <[email-masked]> wrote:
>
>> I've pasted the draft minutes from our Ides of April interim below. 
>> Thanks
>> again to Olufemi Komolafe for volunteering! Please review and provide
>> clarifications and/or corrections to the chairs. Otherwise, we'll be
>> posting the minutes to the data tracker in a week at which point it 
>> will be
>> part of your Permanent Record.
>>
>
> Thanks for the excellent start on minutes. I have a couple of notes 
> below.
>
> Best,
>
> Spencer
>
>
>> Kyle
>>
>>
>>
>>
>>
>> Media OPerationS (MOPS) WG
>>
>> April 2020 Virtual Interim
>> Wednesday, April 15, 2020 20h00UTC-21h30UTC
>>
>> Webex details below
>>
>> Agenda
>>
>> Intro
>>
>> Agenda Bashing [5min] chair(s)
>>
>> Review of concrete work items:
>>
>> [15min] Draft of edge network operational considerations for 
>> streaming
>> media
>> Jake Holland
>> draft-ietf-mops-streaming-opcons
>> Github - 
>> https://github.com/ietf-wg-mops/draft-ietf-mops-streaming-opcons
>> Accepting comments via GitHub issues
>> Presented update on draft
>> Discussion on “Soliciting Contributions - Proposed Template”
>>      + have in current draft or perhaps produce new draft (BCP?)
>> Matt Stock: Like template and sees potential
>> Jake Holland: Appreciates feedback.  Potential to write diffrent 
>> BCPs,
>> targeted at diffrent audience
>> Spencer Dawkins: Aim is for draft to not only call out potential bad
>> things but rather try to be actionable, hence why mitigations are 
>> solicited
>> Glenn Deen: +1 on collecting mitigations and sees potential in this
>> highlighting potential areas of interest/work. Mitigations are only a 
>> first
>> step, and where there are really egregious problems the mitigation 
>> may be a
>> temporary approach and the issue may trigger additional work relevant 
>> to
>> the IETF.
>> Matt Stock: Mitigations may not be black/white but rather may involve
>> tradeoffs which should be called out to inform decision-making
>> Leslie Daigle: Maybe collect the issues as a starting point
>> Spencer Dawkins: Thanks to both Glenn and Matt for these excellent
>> suggestions
>>
> Updates from elsewhere
>>
>> Updates from other work
>> [15min] Sanjay Mishra - anything from SVA Open Caching WG
>> Described significant impact COVID-19 having on video traffic seeing 
>> by
>> carriers
>> Discussed ongoing and potential work of interest in SVA and potential 
>> new
>> working groups
>> Glenn Deen: Recent work in SVA working group on media use cases for
>> multicast streaming that may be of interest
>> Jake Holland: Work looks interesting.  What does engagement with SVA 
>> look
>> like?  SVA members commenting on IETF mailing list? Interested to 
>> hear more
>> about the multicast work
>> Sanjay Mishra: Perhaps bring back updates/proble statements etc from 
>> SVA
>> to IETF, IETF can work on these items and perhaps SVA consumes the 
>> output
>> Spencer Dawkins: Thanks for discussion on COVID-19 impact on video
>> traffic.
>>
>
> This could be "Thanks for discussion on COVID-19 impact on video 
> traffic,
> with references. draft-ietf-mops-streaming-opcons now has a section on
> "Unpredictable Usage Profiles", and the authors have been talking 
> about
> mentioning COVID-19 as well.
>
>
>> Glenn Deen: Address potential issue regarding IPR raised by Jake 
>> Holland.
>> There should be no issues - SVA docs are published on the web for all 
>> to
>> read and IP issues shouldn't enter into MOPS working with SVA use 
>> csses. If
>> still concerned, please come talk to [email-masked] - I'm on 
>> the
>> SVA board.
>>
>>
>>
>> [5min] Glenn Deen -- anything further re SMPTE
>>
>>
>> [15min] Maxim Sharabayko SRT — see
>> https://datatracker.ietf.org/doc/draft-sh arabayko-mops-srt/ , posted 
>> on
>> MOPS mailing list
>> Overview of potential benefits SRT
>> Jake Holland: Questions about protocol and operational use.  Suitable 
>> for
>> contribution/distribution or livestreaming to end-users?
>> Max Sharabayko: SRT is well-suited for media
>> Marc Cymontkowski: Use of UDP means not SRT is not direct
>> What other protocols were considered and what was deficient about 
>> them?
>> Marc Cymontkowski: Original goal was to transmit live stream over 
>> public
>> internet. Came to problem with clean slate and started with UDP and 
>> added
>> enhancements to make it more suited for real-time traffic.
>> Kyle Rose: With hindsight, starting off with RTP may have been a 
>> better
>> option at the start, a few years ago.
>> Glenn Deen: Comcast use SRT significantly and so keen for this work 
>> to
>> succeed.  What are the current priorities for RTP?
>> Marc Cymontkowski: Redundancy, balancing data of multiple links,
>> congestion control
>> Glenn Denn: Congestion control of interest - as playing nicely with 
>> the
>> network is in everyone's best interest
>> Leslie Daigle: Potential interest in this WG in this protocol.  
>> Detailed
>> protocol machinery discussions will be done in other WGs but MOPS 
>> interested
>> Spencer Dawkins: An Independent Stream draft on SRT as it exists 
>> today
>> will be of great value to MOPS, because we would have a good 
>> reference for
>> the protocol as we start to make recommendations on use of SRT for
>> streaming operators. That was the recommendation for a first step 
>> from
>> Dispatch discussion on SRT as I understood it, although the current 
>> IESG
>> might change that recommendation.
>>
>
> My last sentence would be clearer as "That was the recommendation for 
> a
> first step from Dispatch discussion on SRT as I understood it, 
> although the
> final direction would be up to the responsible area directors"..
>
>>
>> Alex Gouaillard: Discussion in other WGs regarding SRT, especially
>> concerns regarding security
>> - When presented at IETF dispatch, concerned were expressed by long 
>> time
>> IETF contributors like Eric Rescorla, Colin Perkins, Martin Thompson
>> discussion here:
>> https://mailarchive.ietf.org/arch/msg/dispatch/ekMWlMXch132tvri2BwrnnULzuw/
>> - The question was just about the status of those discussions as, 
>> given
>> the position of the people asking with respect to security, media
>> transport, QUIC, SRTP, at IETF, those questions will come back at one 
>> point.
>> - One of the question raised on the Dispatch thread was also, why at 
>> mops
>> and not in ART, since it looks more in scope for the later.
>>
>
> that's probably "for the latter".
>
>
>> - Another question was regarding security definition (eric/martin)
>> - another question, more generic, is why a new protocol when it looks 
>> like
>> webrtc / QUIC are a good match to the announced goal (nat traversal, 
>> TLS
>> 1.3, CC, BWE, ...)
>> => discussion on dispatch would have concluded by a request for a
>> document, and thus is pending this document availability.
>>
>>
>>
>> Operational Issues Observed
>> [15min] Jake Holland — Experience making the world safe for 
>> interdomain
>> multicast
>> Discussed some of the challenges/opportunities with interdomain 
>> multicast
>> Outlined goals for 2020 & eager to collaborate in trials/POCs so 
>> please
>> reach out if interested
>> Leslie Daigle: Interesting overview
>>
>>
>> AOB
>> [10min]  Liaison Statement from SC 29/WG 11 to IETF MOPS WG (SC 29 N 
>> 18620)
>> Spencer Dawkins: Spoke to Stephan Wegner, the IAB liaison manager for 
>> SC
>> 29/WG 11, on Monday; he had no further updates beyond what was in the
>> original liaison statement they sent to IETF.
>>
>> Leslie Daigle: Git repo set up for WG
>> Kyle Rose: Repo will be used when documents are adopted.  Not 
>> mandatory
>> but convenient for collaboration.  Will send URL on list shortly
>>
>>
>> --
>> Mops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mops
>>

> -- 
> Mops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mops

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------